Bitcoin Forum
September 26, 2016, 03:38:36 AM *
News: Latest stable version of Bitcoin Core: 0.13.0 (New!) [Torrent]. Make sure you verify it.
 
   Home   Help Search Donate Login Register  
Pages: « 1 ... 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 [86] 87 88 89 »
  Print  
Author Topic: DiabloMiner GPU Miner  (Read 792221 times)
DiabloD3
Legendary
*
Offline Offline

Activity: 1162


DiabloMiner author


View Profile WWW
May 02, 2013, 02:33:42 PM
 #1701

DiabloMiner refuses to start with new Catalyst 13.4 (CGMiner with diablo kernel still works fine)
Log: http://pastebin.com/vgQtx08E

Sounds like a driver bug. What Radeon do you have?

Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1474861116
Hero Member
*
Offline Offline

Posts: 1474861116

View Profile Personal Message (Offline)

Ignore
1474861116
Reply with quote  #2

1474861116
Report to moderator
1474861116
Hero Member
*
Offline Offline

Posts: 1474861116

View Profile Personal Message (Offline)

Ignore
1474861116
Reply with quote  #2

1474861116
Report to moderator
1474861116
Hero Member
*
Offline Offline

Posts: 1474861116

View Profile Personal Message (Offline)

Ignore
1474861116
Reply with quote  #2

1474861116
Report to moderator
com911
Hero Member
*****
Offline Offline

Activity: 518



View Profile
May 02, 2013, 11:01:14 PM
 #1702

DiabloMiner refuses to start with new Catalyst 13.4 (CGMiner with diablo kernel still works fine)
Log: http://pastebin.com/vgQtx08E

Sounds like a driver bug. What Radeon do you have?

I have HD7950
With Catalyst 13.1 DiabloMiner works fine, but 13.4 causes this issue. It seems that in 13.4 OpenCL is integrated in driver package and installs automatically. No more "OpenCL.msi" packages. And it causes some problems with mining software. I don't know if this experimental feature, or will be standart in all new catalyst drivers.
However, CGMiner and Reaper still works fine for me with 13.4.

DiabloD3
Legendary
*
Offline Offline

Activity: 1162


DiabloMiner author


View Profile WWW
May 03, 2013, 02:01:47 PM
 #1703

DiabloMiner refuses to start with new Catalyst 13.4 (CGMiner with diablo kernel still works fine)
Log: http://pastebin.com/vgQtx08E

Sounds like a driver bug. What Radeon do you have?

I have HD7950
With Catalyst 13.1 DiabloMiner works fine, but 13.4 causes this issue. It seems that in 13.4 OpenCL is integrated in driver package and installs automatically. No more "OpenCL.msi" packages. And it causes some problems with mining software. I don't know if this experimental feature, or will be standart in all new catalyst drivers.
However, CGMiner and Reaper still works fine for me with 13.4.

NEVER install the OpenCL SDK, it is often the source of breakage.

kevinmyers80
Newbie
*
Offline Offline

Activity: 28


View Profile
May 03, 2013, 03:34:58 PM
 #1704

I have problems using linux, someone happened?
Wed
Legendary
*
Offline Offline

Activity: 979


Also known as DarthWed


View Profile WWW
May 03, 2013, 04:41:33 PM
 #1705

When it will be possible to use stratum?

DiabloD3
Legendary
*
Offline Offline

Activity: 1162


DiabloMiner author


View Profile WWW
May 03, 2013, 04:53:52 PM
 #1706

When it will be possible to use stratum?

Thats not really a big issue for GPUs.

Wed
Legendary
*
Offline Offline

Activity: 979


Also known as DarthWed


View Profile WWW
May 03, 2013, 04:58:39 PM
 #1707

i don't understand what you mean.
I'm asking for: when it will be possible to connect to pools with the stratum protocol with diablominer?

DiabloD3
Legendary
*
Offline Offline

Activity: 1162


DiabloMiner author


View Profile WWW
May 03, 2013, 05:18:35 PM
 #1708

i don't understand what you mean.
I'm asking for: when it will be possible to connect to pools with the stratum protocol with diablominer?

When I get around to adding it. GPUs do not benefit from stratum. DiabloMiner does not support FPGAs or ASICs yet.

Wed
Legendary
*
Offline Offline

Activity: 979


Also known as DarthWed


View Profile WWW
May 03, 2013, 05:20:23 PM
 #1709

My problem is, i want to use slush's pool. But his pool only accepts stratum Sad

com911
Hero Member
*****
Offline Offline

Activity: 518



View Profile
May 03, 2013, 06:38:04 PM
 #1710

My problem is, i want to use slush's pool. But his pool only accepts stratum Sad

Slush have Stratum proxy software. http://mining.bitcoin.cz/stratum-mining (Links on top of the page)
You can use it for any pool, not only Slush's. For example, i am using this proxy for mine PPCoin with DiabloMiner on other stratum-pool.

com911
Hero Member
*****
Offline Offline

Activity: 518



View Profile
May 03, 2013, 06:45:40 PM
 #1711

NEVER install the OpenCL SDK, it is often the source of breakage.

I know, but now, with new drivers, it installs/updates automatically Sad

DiabloD3
Legendary
*
Offline Offline

Activity: 1162


DiabloMiner author


View Profile WWW
May 03, 2013, 07:29:28 PM
 #1712

NEVER install the OpenCL SDK, it is often the source of breakage.

I know, but now, with new drivers, it installs/updates automatically Sad

Thats not the SDK, thats the runtime that you're SUPPOSED to install. Always use the one that comes with the driver.

Wed
Legendary
*
Offline Offline

Activity: 979


Also known as DarthWed


View Profile WWW
May 03, 2013, 11:18:37 PM
 #1713

My problem is, i want to use slush's pool. But his pool only accepts stratum Sad

Slush have Stratum proxy software. http://mining.bitcoin.cz/stratum-mining (Links on top of the page)
You can use it for any pool, not only Slush's. For example, i am using this proxy for mine PPCoin with DiabloMiner on other stratum-pool.

I know of slush's proxy but a native implementation would be better =)

Wed
Legendary
*
Offline Offline

Activity: 979


Also known as DarthWed


View Profile WWW
May 06, 2013, 04:22:05 PM
 #1714

Hey DiabloD3,
maybe you know the old thread (https://bitcointalk.org/?topic=8994.0'%3EMac) with DiabloMiner.app binary for Mac OS X.
This thread is really old, like the DiabloMiner in it.

I've updated that to current version of DiabloMiner and with more possibilites to change attributes.
I hope that's okay, i've published it here: https://bitcointalk.org/index.php?topic=193274.0

If you disagree with my work, I will remove the download, the thread and everything else.



DiabloD3
Legendary
*
Offline Offline

Activity: 1162


DiabloMiner author


View Profile WWW
May 06, 2013, 06:22:35 PM
 #1715

Hey DiabloD3,
maybe you know the old thread (https://bitcointalk.org/?topic=8994.0'%3EMac) with DiabloMiner.app binary for Mac OS X.
This thread is really old, like the DiabloMiner in it.

I've updated that to current version of DiabloMiner and with more possibilites to change attributes.
I hope that's okay, i've published it here: https://bitcointalk.org/index.php?topic=193274.0

If you disagree with my work, I will remove the download, the thread and everything else.

I don't have a problem with it, I just wish MacCompiler had talked with me to make it automatically download and update it's copy of DM instead of packaging it inside, or at least released the source so other people could hack that functionality into it.

Wed
Legendary
*
Offline Offline

Activity: 979


Also known as DarthWed


View Profile WWW
May 06, 2013, 06:25:01 PM
 #1716

It's very easy to modify it.

It's just a bashscript which asks for few userentries and then it starts diablominer with entered attributes.
Everyone with knowledge of bashscripting can modify it.
To replace diablominer with a newer version, just replace "target" directory with a newer one. The only binary in that package is the binary to start a bashscript Smiley

DiabloD3
Legendary
*
Offline Offline

Activity: 1162


DiabloMiner author


View Profile WWW
May 06, 2013, 06:28:14 PM
 #1717

It's very easy to modify it.

It's just a bashscript which asks for few userentries and then it starts diablominer with entered attributes.
Everyone with knowing of bashscripting can modify it.
To replace diablominer with a newer version, just replace "target" directory with a newer one.

Ahh, I never actually looked at the program, I assumed it was some non-interpreted binary.

If I add a .sha1 file along side the zip download, could you add whats needed to to automatically download DM with curl/wget?

Wed
Legendary
*
Offline Offline

Activity: 979


Also known as DarthWed


View Profile WWW
May 06, 2013, 06:30:32 PM
 #1718

i can try it, but no promises. I'm really new at bashscripting.
I will do my best

DiabloD3
Legendary
*
Offline Offline

Activity: 1162


DiabloMiner author


View Profile WWW
May 06, 2013, 06:38:12 PM
 #1719

i can try it, but no promises. I'm really new at bashscripting.
I will do my best

There, I've added a sha1
http://adterrasperaspera.com/DiabloMiner.zip
http://adterrasperaspera.com/DiabloMiner.zip.sha1

Wed
Legendary
*
Offline Offline

Activity: 979


Also known as DarthWed


View Profile WWW
May 06, 2013, 06:41:24 PM
 #1720

Thank you very much, i'll try to implement it.
I'll inform you if i was successful.

Pages: « 1 ... 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 [86] 87 88 89 »
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!